package fr.univnantes.alma;

import ch.qos.logback.core.net.server.Client;
import org.springframework.boot.autoconfigure.integration.IntegrationProperties;

import javax.websocket.ContainerProvider;
import javax.websocket.Session;
import javax.websocket.WebSocketContainer;
import java.net.URI;

public class app {
    public static void main(String[] args) {
        try {
            WebSocketContainer container = ContainerProvider.getWebSocketContainer();
            String uri = "ws://localhost:8081/log/hello/hello/websocket";
            Session session = container.connectToServer(Client.class, new URI(uri));
            char lf = 10; // saut de ligne
            char nl = 0; // la marque de la fin du message
            StringBuilder sb = new StringBuilder();
            sb.append("SEND").append(lf); // Stratégie de commandement demandée
            sb.append("destination:/app/hello").append(lf); // Ressource demandée
            sb.append("content-length:14").append(lf).append(lf); //La longueur du corps du message
            sb.append("{\"name\":\"123\"}").append(nl); // Corps du message
            session.getBasicRemote().sendText(sb.toString()); // Envoies un message
            Thread.sleep(50000); // Attends un moment
            session.close(); // Ferme la connexion
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
