package fr.univnantes.alma;

import fr.univnantes.alma.messages.Connexion;

import java.util.List;

public class MiddlewareServerController implements MiddlewareServer {
    Connexion messageToClient;
    GameServer server;

    public MiddlewareServerController(Connexion messageToClient, GameServer server) {
        this.messageToClient = messageToClient;
        this.server = server;
    }


    @Override
    public boolean newPlayer(String playerName) {
        messageToClient = new Connexion(playerName);

        return false;
    }

    @Override
    public boolean waitServer(int sec) {
        return false;
    }

    @Override
    public boolean waitPlayer() {
        return false;
    }

    @Override
    public boolean addCard(Card newCard) {
        return false;
    }

    @Override
    public boolean addCards(List<Card> newCards) {
        return false;
    }

    @Override
    public boolean moneyGet(int number) {
        return false;
    }

    @Override
    public boolean draw7Cards() {
        return false;
    }

    @Override
    public boolean giveAssignCards() {
        return false;
    }

    @Override
    public boolean gameEnd() {
        return false;
    }

    @Override
    public boolean executeActions() {
        return false;
    }
}
