import static org.mockito.Mockito.*;

import fr.univnantes.alma.Player;
import fr.univnantes.alma.PlayerController;
import fr.univnantes.alma.implement.GameServerImp;
import org.junit.jupiter.api.Test;

    public class ServerTest {
        GameServerImp mockGame = mock(GameServerImp.class);
        @Test
        public void connectionTest(){
            Player Billy = mock(PlayerController.class);
            Player Terebanthine = mock(PlayerController.class);
            Player Maurice = mock(PlayerController.class);

            when(mockGame.connectionGame(Billy)).thenReturn(true);
            when(mockGame.connectionGame(Maurice)).thenReturn(false);
            when(mockGame.connectionGame(Terebanthine)).thenReturn(true);

            when(mockGame.disconnectionGame(Terebanthine)).thenReturn(true);
            when(mockGame.disconnectionGame(Maurice)).thenReturn(false);
        }
}
