package fr.univnantes.alma;

import fr.univnantes.alma.messages.Connexion;
import org.springframework.messaging.handler.annotation.MessageMapping;
import org.springframework.messaging.handler.annotation.SendTo;
import org.springframework.stereotype.Controller;
import org.springframework.web.util.HtmlUtils;

@Controller
public class ConnexionController {

    @MessageMapping("/hello")
    @SendTo("/topic/greetings")
    public Connexion greeting(Connexion message) throws Exception {
        Thread.sleep(1000); // simulated delay
        return new Connexion("Hello, " + HtmlUtils.htmlEscape(message.message()) + "!");
    }

}
